App\Entity\VenteLivraison:
    type: entity
    table: vente_livraison
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        numIncrement:
            type: integer
            nullable: true
        numBonLivraison:
            type: string
            length: 255
            fixed: false
            nullable: true
        nbrColis:
            type: integer
            nullable: true
        fraisLivraison:
            type: float
            nullable: true
        dateLivraison:
            type: datetime
            nullable: true
        dateReception:
            type: datetime
            nullable: true
        scanBonLivraison:
            type: string
            length: 255
            fixed: false
            nullable: true
        note:
            type: text
            nullable: true
    oneToMany:
        livraisons:
            targetEntity: VenteLivraisonProduit
            mappedBy: venteLivraison
            cascade: [persist]
            orphanRemoval: true
    manyToOne:
        vente:
            targetEntity: Vente
            cascade: {  }
            mappedBy: null
            inversedBy: livraisons
            joinColumns:
                vente_id:
                    referencedColumnName: id
            orphanRemoval: false